Package org.eclipse.cdt.core.dom.parser.c

# Class GCCScannerExtensionConfiguration

java.lang.Object
org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration
org.eclipse.cdt.core.dom.parser.c.GCCScannerExtensionConfiguration

All Implemented Interfaces:
  `IScannerExtensionConfiguration`

public class GCCScannerExtensionConfiguration extends GNUScannerExtensionConfiguration
Configures the preprocessor for parsing c-sources as accepted by gcc.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`AbstractScannerExtensionConfiguration.MacroDefinition`

## Constructor Summary

Constructors
Constructor
Description
`GCCScannerExtensionConfiguration()`
`GCCScannerExtensionConfiguration(int version)`
`GCCScannerExtensionConfiguration(org.eclipse.cdt.core.dom.parser.c.GCCScannerExtensionConfiguration.CompilerType compiler, int version)`

## Method Summary

Modifier and Type
Method
Description
`static GCCScannerExtensionConfiguration`
`getInstance()`
`static GCCScannerExtensionConfiguration`
`getInstance(IScannerInfo info)`
`boolean`
`supportMinAndMaxOperators()`
Support for (deprecated) GNU minimum and maximum operators (`<?` and `>?`).

### Methods inherited from class org.eclipse.cdt.core.dom.parser.GNUScannerExtensionConfiguration

`addAdditionalGNUKeywords, getAdditionalGNUMacros, support$InIdentifiers, supportAdditionalNumericLiteralSuffixes, supportDigitSeparators, supportUserDefinedLiterals, version`

### Methods inherited from class org.eclipse.cdt.core.dom.parser.AbstractScannerExtensionConfiguration

`addKeyword, addMacro, addPreprocessorKeyword, createFunctionStyleMacro, createMacro, getAdditionalKeywords, getAdditionalMacros, getAdditionalPreprocessorKeywords, initializeMacroValuesTo1, supportAtSignInIdentifiers, supportRawStringLiterals, supportSlashPercentComments, supportUTFLiterals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GCCScannerExtensionConfiguration

public GCCScannerExtensionConfiguration()

### GCCScannerExtensionConfiguration

public GCCScannerExtensionConfiguration(int version)

Since:
  5.5

### GCCScannerExtensionConfiguration

public GCCScannerExtensionConfiguration(org.eclipse.cdt.core.dom.parser.c.GCCScannerExtensionConfiguration.CompilerType compiler, int version)

Since:
  6.10

## Method Details

### getInstance

public static GCCScannerExtensionConfiguration getInstance()

Since:
  5.1

### getInstance

public static GCCScannerExtensionConfiguration getInstance(IScannerInfo info)

Since:
  5.5

### supportMinAndMaxOperators

public boolean supportMinAndMaxOperators()
Description copied from interface: `IScannerExtensionConfiguration`
Support for (deprecated) GNU minimum and maximum operators (`<?` and `>?`).

Specified by:
  `supportMinAndMaxOperators` in interface `IScannerExtensionConfiguration`
Overrides:
  `supportMinAndMaxOperators` in class `AbstractScannerExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled
See Also:
  - "http://gcc.gnu.org/onlinedocs/gcc/Deprecated-Features.html"